LineSegmentDetector (OpenCV 3.4.2 Java documentation)
Date: 2019-04-14

org.opencv.imgproc

## Class LineSegmentDetector

- java.lang.Object
- - org.opencv.core.Algorithm
  - - org.opencv.imgproc.LineSegmentDetector

-     public class LineSegmentDetector
      extends Algorithm

- - ### Field Summary

    - ### Fields inherited from class org.opencv.core.Algorithm

      `nativeObj`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `LineSegmentDetector(long addr)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static LineSegmentDetector` | `__fromPtr__(long addr)`
    `int` | `compareSegments(Size size, Mat lines1, Mat lines2)`
    `int` | `compareSegments(Size size, Mat lines1, Mat lines2, Mat _image)`
    `void` | `detect(Mat _image, Mat _lines)`
    `void` | `detect(Mat _image, Mat _lines, Mat width, Mat prec, Mat nfa)`
    `void` | `drawSegments(Mat _image, Mat lines)`
    `protected void` | `finalize()`

    - ### Methods inherited from class org.opencv.core.Algorithm

      `clear, empty, getDefaultName, getNativeObjAddr, save`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### LineSegmentDetector

          protected LineSegmentDetector(long addr)

  - ### Method Detail

    - #### __fromPtr__

          public static LineSegmentDetector __fromPtr__(long addr)

    - #### compareSegments

          public int compareSegments(Size size,
                                     Mat lines1,
                                     Mat lines2,
                                     Mat _image)

    - #### compareSegments

          public int compareSegments(Size size,
                                     Mat lines1,
                                     Mat lines2)

    - #### detect

          public void detect(Mat _image,
                             Mat _lines,
                             Mat width,
                             Mat prec,
                             Mat nfa)

    - #### detect

          public void detect(Mat _image,
                             Mat _lines)

    - #### drawSegments

          public void drawSegments(Mat _image,
                                   Mat lines)

    - #### finalize

          protected void finalize()
                           throws java.lang.Throwable

      Overrides:
        `finalize` in class `Algorithm`
      Throws:
        `java.lang.Throwable`

Generated on Sun Apr 14 2019 09:17:32 MDT / OpenCV unknown